# ==============
# File: hamserver.py
# By: Jack Holdsworth - 20023933
# Use: Task 3, have ham morse conversations via the server
# Written on: Python 3.8
# ==============

import server
import asyncio
import hamradio


def send_echo(sender,msg):
    # server echos message
    return hamradio.decode_ham(asyncio.run(server.main(hamradio.encode_ham(sender,"echo",msg))))

def send_time(sender):
    # server reply's with time
    return hamradio.decode_ham(asyncio.run(server.main(hamradio.encode_ham(sender,"time","hello world"))))

if __name__ == '__main__':
    print("=== Task 3 by Jack H ===")
    print(send_echo('Tutor','YOU ARE THE BEST TUTOR'))
    print(send_time('IOT'))
    print("========================")