# ==============
# File: hamradio.py
# By: Jack Holdsworth - 20023933
# Use: Task 2, a program to have ham radio conversations via morse
# Written on: Python 3.8
# ==============
import morse


def encode_ham(sender, receiver, msg):
    # ham radio format + encoder
    output = receiver + "de" + sender + "=" + msg + "=("
    return morse.encode(output)

def decode_ham(morseStr):
    # hame radio decoder to python tuple
    ret = morse.decode(morseStr) # decode into string
    #split into variables
    sender = ret.split("DE",1)
    receiver = sender[1].split("=")
    msg = receiver[1].split("=(")
    return (sender[0],receiver[0],msg[0]) #tuple

if __name__ == '__main__':
    print("=== Task 2 by Jack H ===")
    print(encode_ham('JACK','IOT','YOU ARE THE BEST MODULE'))
    print(decode_ham(encode_ham('JACK','IOT','YOU ARE THE BEST MODULE')))
    print("========================")